## raylib bindings

Some people ported raylib to other languages in form of bindings or wrappers to the library.

Here it is a list with the ones I'm aware of:

|  name              | language       | repo                                                                 |
|:------------------:|:--------------:|----------------------------------------------------------------------|
| raylib             | C              | https://github.com/raysan5/raylib                                    |
| raylib-cpp         | C++            | https://github.com/robloach/raylib-cpp                               |
| Raylib-cs          | C#             | https://github.com/ChrisDill/Raylib-cs                               |
| RaylibFS           | F#             | https://github.com/dallinbeutler/RaylibFS                            |
| raylib_d           | D              | https://github.com/0xFireball/raylib_d                               |
| raylib-d           | D              | https://github.com/onroundit/raylib-d                                |
| bindbc-raylib      | D              | https://github.com/o3o/bindbc-raylib                    |
| raylib-go          | Go             | https://github.com/gen2brain/raylib-go                               |
| raylib-goplus      | Go             | https://github.com/Lachee/raylib-goplus                              |
| raylib-rs          | [Rust](https://www.rust-lang.org/)      | https://github.com/deltaphc/raylib-rs       |
| raylib-lua         | Lua            | https://github.com/raysan5/raylib-lua                                |
| raylib-lua-ffi     | Lua            | https://github.com/raysan5/raylib/issues/693                         |
| raylib-lua-sol     | Lua            | https://github.com/RobLoach/raylib-lua-sol                           |
| raylib-lua (raylua)| Lua            | https://github.com/TSnake41/raylib-lua                               |
| raylib-luamore     | Lua            | https://github.com/HDPLocust/raylib-luamore                          |
| raylib-nelua       | [Nelua](https://nelua.io/)      | https://github.com/Andre-LA/raylib-nelua-mirror     |
| raylib-Nim         | Nim            | https://gitlab.com/define-private-public/raylib-Nim                  |
| raylib-nim         | Nim            | https://github.com/Skrylar/raylib-nim                                |
| raylib-Forever     | Nim            | https://github.com/Guevara-chan/Raylib-Forever           |
| raylib-haskell     | [Haskell](https://www.haskell.org/)        | https://github.com/DevJac/raylib-haskell |
| raylib-cr          | Crystal        | https://github.com/AregevDev/raylib-cr                               |
| cray               | Crystal        | https://gitlab.com/Zatherz/cray                                      |
| raylib.cr          | Crystal        | https://github.com/sam0x17/raylib.cr                     |
| raylib-pascal      | Pascal         | https://github.com/drezgames/raylib-pascal                           |
| raylib-pas         | Pascal         | https://github.com/tazdij/raylib-pas                                 |
| Graphics-Raylib    | Perl           | https://github.com/athreef/Graphics-Raylib                           |
| raylib-ruby-ffi    | Ruby           | https://github.com/D3nX/raylib-ruby-ffi                              |
| raylib-ruby        | Ruby           | https://github.com/a0/raylib-ruby                                    |
| raylib-mruby       | mruby          | https://github.com/lihaochen910/raylib-mruby                         |
| raylib-py          | Python         | https://github.com/overdev/raylib-py                                 |
| raylib-python-cffi | Python         | https://github.com/electronstudio/raylib-python-cffi                 |
| jaylib             | Java           | https://github.com/electronstudio/jaylib/                 |
| raylib-java        | Java           | https://github.com/XoanaIO/raylib-java                               |
| clj-raylib         | [Clojure](https://clojure.org/)         | https://github.com/lsevero/clj-raylib       |
| node-raylib        | [Node.js](https://nodejs.org/en/)       | https://github.com/RobLoach/node-raylib     |
| QuickJS-raylib     | [QuickJS](https://bellard.org/quickjs/) | https://github.com/sntg-p/QuickJS-raylib    |
| raylib-js          | JavaScript     | https://github.com/RobLoach/raylib-js                                |
| raylib-chaiscript  | [ChaiScript](http://chaiscript.com/)    | https://github.com/RobLoach/raylib-chaiscript        |
| raylib-squirrel    | [Squirrel](http://www.squirrel-lang.org/)     | https://github.com/RobLoach/raylib-squirrel    |
| racket-raylib-2d   | [Racket](https://racket-lang.org/)       | https://github.com/arvyy/racket-raylib-2d           |
| raylib-php         | PHP            | https://github.com/joseph-montanez/raylib-php                        |
| raylib-php-ffi     | PHP            | https://github.com/oraoto/raylib-php-ffi                             |
| raylib-phpcpp      | PHP            | https://github.com/oraoto/raylib-phpcpp                              |
| raylib-factor      | [Factor](https://factorcode.org/)   | https://github.com/Silverbeard00/raylib-factor  |
| raylib-haxe        | [Haxe](https://haxe.org/)           | https://github.com/ibilon/raylib-haxe           |
| ringraylib         | [Ring](http://ring-lang.sourceforge.net/)      | https://github.com/ringpackages/ringraylib     |
| cl-raylib          | Common Lisp    | https://github.com/longlene/cl-raylib                                |
| raylib-scm         | Chicken Scheme | https://github.com/yashrk/raylib-scm                                 |
| raylib-chibi       | Chibi-Scheme   | https://github.com/VincentToups/raylib-chibi                         |
| Euraylib           | [Euphoria](https://openeuphoria.org/)  | https://github.com/gAndy50/Euraylib          |
| raylib-wren        | [Wren](http://wren.io/)           | https://github.com/TSnake41/raylib-wren           |
| raylib-odin        | [Odin](https://odin-lang.org/)            | https://github.com/kevinw/raylib-odin     |
| raylib-zig         | [Zig](https://ziglang.org/)               | https://github.com/Not-Nik/raylib-zig     |
| ray.zig            | [Zig](https://ziglang.org/)               | https://github.com/BitPuffin/zig-raylib-experiments |
| raylib-Ada         | [Ada](https://www.adacore.com/about-ada)  | https://github.com/mimo/raylib-Ada        |
| jaylib             | [Janet](https://janet-lang.org/)          | https://github.com/janet-lang/jaylib      |
| raykit             | [Kit](https://www.kitlang.org/)           | https://github.com/Gamerfiend/raykit      |
| vraylib            | [V](https://vlang.io/)                    | https://github.com/MajorHard/vraylib      |
| ray.mod            | [BlitzMax](https://blitzmax.org/)         | https://github.com/bmx-ng/ray.mod         |
| raylib-mosaic      | Mosaic         | https://github.com/pluckyporcupine/raylib-mosaic     |
| raylib-xdpw        | XD Pascal      | https://github.com/vtereshkov/raylib-xdpw            |
| raylib-carp        | Carp           | https://github.com/pluckyporcupine/raylib-carp       |
| raylib-fb          | FreeBasic      | https://github.com/IchMagBier/raylib-fb              |
| raylib-purebasic   | [PureBasic](https://www.purebasic.com/)      | https://github.com/D-a-n-i-l-o/raylib-purebasic   |
| raylib-ats2        | ATS2           | https://github.com/mephistopheles-8/raylib-ats2      |
| raylib-beef        | [Beef](https://www.beeflang.org/)          | https://github.com/M0n7y5/raylib-beef    |
| raylib.cbl         | COBOL          | *[code examples](https://github.com/Martinfx/Cobol/tree/master/OpenCobol/Games/raylib)* |
 
Missing some language? Feel free to create a new binding! :)

Usually, raylib bindings follow the convention: `raylib-{language}`

Let me know if you're writing a new binding for raylib, I will list it here!
